<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Ausgaben\SammelEMail\AnTeilnehmer;

class SammelEMailPresenter extends \Kufer\Web\KuferTools\Ausgaben\SammelEMail\SammelEMailPresenter
{
  protected function getView()
  {
    return new SammelEMailView($this->getViewModel());
  }

  protected function getViewModel()
  {
    $viewModel = new SammelEMailViewModel();
    
    $this->getViewModelCommonPart($viewModel);

    
    $viewModel->belegungen = $this->useCaseResponse->belegungen;
    $viewModel->maxGroesseProDatei = $this->useCaseResponse->maxGroesseProDatei;
    $viewModel->maxGroesseAllerDateien = $this->useCaseResponse->maxGroesseAllerDateien;
    $viewModel->saveTeilnehmer = $this->useCaseResponse->saveTeilnehmer;

    return $viewModel;
  }
}